Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.deciderules
Class AddRedirectFromRootServerToScope

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ComplexType
                  org.archive.crawler.settings.ModuleType
                      org.archive.crawler.deciderules.DecideRule
                          org.archive.crawler.deciderules.ConfiguredDecideRule
                              org.archive.crawler.deciderules.PredicatedDecideRule
                                  org.archive.crawler.deciderules.AddRedirectFromRootServerToScope

All Implemented Interfaces:
  java.io.Serializable, javax.management.DynamicMBean

    public class AddRedirectFromRootServerToScope

extends PredicatedDecideRule

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.archive.crawler.settings.ComplexType
`ComplexType.MBeanAttributeInfoIterator`

Field Summary

Fields inherited from class org.archive.crawler.deciderules.ConfiguredDecideRule
`ALLOWED_TYPES, ATTR_DECISION`

Fields inherited from class org.archive.crawler.deciderules.DecideRule
`ACCEPT, PASS, REJECT`

Fields inherited from class org.archive.crawler.settings.ComplexType
`definition, definitionMap`

Constructor Summary
`AddRedirectFromRootServerToScope(java.lang.String name)`

Method Summary
`protected boolean` | `evaluate(java.lang.Object object)`

Methods inherited from class org.archive.crawler.deciderules.PredicatedDecideRule
`decisionFor`

Methods inherited from class org.archive.crawler.deciderules.ConfiguredDecideRule
`singlePossibleNonPassDecision`

Methods inherited from class org.archive.crawler.deciderules.DecideRule
`getController, kickUpdate`

Methods inherited from class org.archive.crawler.settings.ModuleType
`addElement, listUsedFiles`

Methods inherited from class org.archive.crawler.settings.ComplexType
`addElementToDefinition, checkValue, earlyInitialize, getAbsoluteName, getAttribute, getAttribute, getAttribute, getAttributeInfo, getAttributeInfo, getAttributeInfoIterator, getAttributes, getDataContainerRecursive, getDataContainerRecursive, getDefaultValue, getDescription, getElementFromDefinition, getLegalValues, getLocalAttribute, getMBeanInfo, getMBeanInfo, getParent, getPreservedFields, getSettingsHandler, getUncheckedAttribute, getValue, globalSettings, invoke, isInitialized, isOverridden, iterator, removeElementFromDefinition, setAsOrder, setAttribute, setAttribute, setAttributes, setDescription, setPreservedFields, toString, unsetAttribute`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddRedirectFromRootServerToScope

    public AddRedirectFromRootServerToScope(java.lang.String name)

Method Detail

### evaluate

    protected boolean evaluate(java.lang.Object object)

  Specified by:
    `evaluate` in class `PredicatedDecideRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.